Subject: Re: bug#27048: Tramp not working with Solaris hosts

From: Michael Albinus <[email-masked]>
Date: Wed, 24 May 2017 22:44:04 +0200

Thomas Carroll <[email-masked]> writes:

Hi Tom,

> The trick I missed is that this variable needs to be fixed in two
> places: tramp-sh.el AND tramp-loaddefs.el.  It now works for both
> Linux and Solaris.  Specifically, I had to set the value
>
> Old: ~/.tramp_history
> New: .tramp_history
>
> I had had some success in older versions of Emacs by changing the
> tramp-sh.el file only.

There's no need to patch Tramp files for this. `tramp-histfile-override'
is a user option. You could change it in your .emacs:

(custom-set-variables '(tramp-histfile-override ".tramp_history" nil (tramp)))

> Again, thanks for your help.
>
> Tom

Best regards, Michael.